body {
  padding: 0px;
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
}

a {
  color: #00b7ff;
}

.tRelieve {
  text-align: left;
  font-family: Arial Black;
  font-weight: bold;
  font-size: 28px;
  background: #424242;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  color: transparent;
  text-shadow: 0px 3px 3px rgba(255, 255, 255, 0.4),
    0px -1px 1px rgba(0, 0, 0, 0.3);
}

.tNeon {
  text-align: left;
  font-family: Arial;
  font-size: 14px;
  color: #1278bf;
  text-shadow: 0px 0px 2px #217ab9;
}

.Msg {
  text-align: center;
  font-family: Arial;
  font-size: 18px;
  color: #1278bf;
  text-shadow: 0px 0px 2px #217ab9;
}

/* ***login*** */
.loginForm {
  width: 380px;
  margin: 4em auto;
  padding: 2em 2em 2em 2em;
  background: #fafafa;
  border: 1px solid #ebebeb;
  box-shadow: rgba(0, 0, 0, 0.14902) 0px 1px 1px 0px,
    rgba(0, 0, 0, 0.09804) 0px 1px 2px 0px;
}

.loginGroup {
  position: relative;
  margin-bottom: 25px;
  --color: #5757577e;
}

.loginInput {
  font-size: 16px;
  padding: 10px 10px 10px 10px;
  -webkit-appearance: none;
  display: block;
  background: #fafafa;
  color: #636363;
  width: 100%;
  border: none;
  border-radius: 0;
  border-bottom: 1px solid #757575;
}

.loginInput:focus {
  outline: none;
}

.loginLabel {
  color: rgb(100, 140, 240);
  font-size: 16px;
  font-weight: bold;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: 10px;
  transition: all 0.2s ease;
}

.loginInput:focus + .loginLabel,
.loginInput:not(:placeholder-shown) + .loginLabel {
  transform: translateY(-16px) scale(0.7);
  transform-origin: top left;
  --color: #3866f2;
}

.formButton {
  width: 60%;
  border: 0;
  border-radius: 4px;
  font-weight: 600;
  margin: 0 10px;
  padding: 10px 0;
  cursor: pointer;
  color: #0e0e0e;
  background-color: #3160b6;
  transition: 0.4s;
}

.formButton:hover {
  color: white;
  box-shadow: 0 0 20px #7397db;
  background-color: #3160b6;
}

.wrapper {
  text-align: center;
}
/* ****** */

/* ***logger*** */
.sp_timestamp {
  text-align: left;
  font-family: Arial;
  font-size: 10px;
  color: #1278bf;
  text-shadow: 0px 0px 2px #217ab9;
  width: 106px;
}

.sp_level {
  text-align: left;
  font-family: Arial;
  font-size: 10px;
  color: #f32d2d;
  text-shadow: 0px 0px 2px #217ab9;
  width: 28px;
}

.message {
  text-align: left;
  font-family: Arial;
  font-size: 10px;
  color: #000000;
  text-shadow: 0px 0px 2px #217ab9;
}

.loggerForm {
  width: 800px;
  margin: 4em auto;
  padding: 2em 2em 2em 2em;
  background: #fafafa;
  border: 1px solid #ebebeb;
  box-shadow: rgba(0, 0, 0, 0.14902) 0px 1px 1px 0px,
    rgba(0, 0, 0, 0.09804) 0px 1px 2px 0px;
}
/* ****** */

/* ***graph*** */
.graphContainer {
  width: 350px;
  height: 260px;  
  margin: 4em auto;
  padding: 1em 1em 1em 1em;
  background: #fafafa;
  border: 1px solid #ebebeb;
  box-shadow: rgba(0, 0, 0, 0.14902) 0px 1px 1px 0px,
    rgba(0, 0, 0, 0.09804) 0px 1px 2px 0px;
}

.graphTitle {
  text-align: left;
  font-family: Arial Black;
  font-weight: bold;
  font-size: 28px;
  background: #424242;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  color: transparent;
  text-shadow: 0px 3px 3px rgba(255, 255, 255, 0.4),
    0px -1px 1px rgba(0, 0, 0, 0.3);
}

/* ------- Title Styles -------------*/
.title h1 {
  text-transform: capitalize;
}
.title h1:before {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 60px;
  height: 2px;
  content: "";
  background-color: #c50000;
}

.title h1 span {
  font-size: 13px;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 4px;
  line-height: 3em;
  padding-left: 0.25em;
  color: rgba(0, 0, 0, 0.4);
  padding-bottom: 10px;
}
.center-title h1 {
  text-align:center;
}
.center-title h1:before {
  left:50%; margin-left:-30px;
}


/* ------- Chat Styles -------------*/
.chat {
  overflow-y: scroll;
  scroll-behavior: smooth;
  display: flex;
  flex-direction: column-reverse;
  height: 1080%;
  font-size: medium;
}

/* ------- Panel Styles -------------*/
.panel {
  display: flex;
  flex-direction: row;
  background-color: #f6f8fa;
  border-top: 1px solid #d1d5da;
  padding: 10px;
}

.panel input {
  flex: 1;
  border: 1px solid #d1d5da;
  border-radius: 6px;
  padding: 8px;
  font-size: 16px;
  outline: none;
}

.panel button {
  padding: 4px 14px;
  margin-left: 10px;
  border: none;
  border-radius: 8px;
  background-color: #28a745;
  color: #fff;
  font-size: 16px;
  cursor: pointer;
}

.panel button:hover {
  background-color: #23863e;
}

.panel #clear {
  margin-left: 10px;
  background-color: #d73a49;
}

.panel #clear:hover {
  background-color: #b22d37;
}

/* ------- Container Styles -------------*/
.chatContainer {
  padding: 2em 2em 2em 2em;
  display: flex;
  flex-direction: column;
  height: 90vh;
}
.chatContainer div {
  padding: 0.3rem;
}